#include "K38DogSlipStreamComponent.h"
#include "Net/UnrealNetwork.h"

void UK38DogSlipStreamComponent::OnRep_KillerIsOnPatrolPath()
{

}

void UK38DogSlipStreamComponent::OnRep_Killer()
{

}

void UK38DogSlipStreamComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UK38DogSlipStreamComponent, _killer);
	DOREPLIFETIME(UK38DogSlipStreamComponent, _killerIsOnPatrolPath);
}

UK38DogSlipStreamComponent::UK38DogSlipStreamComponent()
{
	this->_killerIsOnPatrolPath = false;
}
